<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.sclass.mapper.classroom.ClassroomVideoMapper">
    <!--课堂视频列表-->
    <select id="listByRoomId" resultType="java.util.Map">
        select rvid,rvname,rvpath,rvcover,duration,mp4code,filesize,createtime
        from t_classroom_video where roomid=#{roomid}
    </select>
    <!--修改-->
    <update id="update">
        update t_classroom_video set rvname=#{video.rvname} where rvid=#{video.rvid}
    </update>
    <!--获取同名称、路径视频上传个数-->
    <select id="getNumByNamePath" resultType="java.lang.Integer">
        select count(*) from t_classroom_video where rvname=#{rvname} and rvpath=#{rvpath}
    </select>
    <!--获取课堂录制视频个数-->
    <select id="getNumByRoomId" resultType="java.lang.Integer">
        select count(*) from t_classroom_video where roomid=#{roomid}
    </select>


</mapper>
